language: php

php:
  - 7.0
  - 7.1
  - 7.2

matrix:
  include:
    - php: 7.1
      env: STATIC_ANALYSIS=true

cache:
  directories:
    - $HOME/.composer/cache

install:
  - composer install --no-interaction
  # coding style
  - if [[ $STATIC_ANALYSIS != "" ]]; then composer create-project symplify/easy-coding-standard temp/ecs; fi

script:
  - vendor/bin/phpunit --coverage-clover=coverage.xml -v
  # coding style
  - if [[ $STATIC_ANALYSIS != "" ]]; then temp/ecs/bin/ecs check src tests; fi

after_script:
  - wget https://github.com/satooshi/php-coveralls/releases/download/v1.0.1/coveralls.phar;
  - php coveralls.phar --verbose;

notifications:
  irc: "irc.freenode.org#phpdocumentor"
  email:
    - mike.vanriel@naenius.com
    - ashnazg@php.net
    - boen.robot@gmail.com
